<?php

namespace API\script\Gateway;

use API\script\Config\Connection;
use BusinessClass\Keyword;
use PDO;

class GatewayKeyword
{
    private Connection $connection;

    public function __construct()
    {
        $this->connection = connect();
    }

    public function insertKeyword(string $word): void
    {
        $query = "INSERT INTO Keyword(word) VALUES(:word)";
        $this->connection->executeQuery($query, array(
            ':word' => array($word, PDO::PARAM_STR)
        ));
    }

    public function deleteKeyword(string $word): void
    {
        $query = "DELETE FROM Keyword WHERE word = :word";
        $this->connection->executeQuery($query, array(
            ':word' => array($word, PDO::PARAM_STR)
        ));
    }

    public function getAllKeyword(): array
    {
        $query = "SELECT * FROM Keyword";
        $this->connection->executeQuery($query);

        return $this->connection->getResults();
    }
}